import "core-js/modules/es6.regexp.search";
import React from 'react';
import PropTypes from 'prop-types';
import { EntityDropdownItem } from './EntityDropdownItem';
var searchIcon = {
  icon: 'search',
  sprite: 'utility'
};
export var SearchIndicatorDropdownItem = function SearchIndicatorDropdownItem(_ref) {
  var search = _ref.search;
  return React.createElement(EntityDropdownItem, {
    className: "slds-listbox__option_term",
    isPresentation: true,
    icon: searchIcon,
    label: search
  });
};
SearchIndicatorDropdownItem.propTypes = process.env.NODE_ENV !== "production" ? {
  search: PropTypes.string.isRequired
} : {};