"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Icon = require("../Icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var VisualPickerTileText = function VisualPickerTileText(_ref) {
  var className = _ref.className,
      children = _ref.children,
      title = _ref.title;
  var figureClasses = ['slds-visual-picker__figure', 'slds-visual-picker__text', 'slds-align_absolute-center', className];
  return _react.default.createElement(_react.Fragment, null, _react.default.createElement("span", {
    className: (0, _classnames.default)(figureClasses)
  }, _react.default.createElement("span", null, _react.default.createElement("span", {
    className: "slds-text-heading_large"
  }, title), children && _react.default.createElement("span", {
    className: "slds-text-title"
  }, children))), _react.default.createElement(_Icon.Icon, {
    className: "slds-visual-picker__text-check",
    sprite: "utility",
    icon: "check",
    size: "x-small"
  }));
};

VisualPickerTileText.defaultProps = {
  className: null,
  children: null
};
VisualPickerTileText.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Optional className, applied to `slds-visual-picker__figure`
   */
  className: _propTypes.default.string,

  /**
   * Text content renderes as `text-title`
   */
  children: _propTypes.default.node,

  /**
   * Title renderes as `heading_large`
   */
  title: _propTypes.default.string.isRequired
} : {};
var _default = VisualPickerTileText;
exports.default = _default;